import { FeatureRunner, Store } from '../lib/runner';
import { AppSyncClient } from '../lib/appsync/appSyncClient';
import { GQLQueryResult } from '../lib/gql-query-result';
export declare const appSyncBeforeAll: <W extends Store>(runner: FeatureRunner<W>) => Promise<AppSyncClient>;
export declare const appSyncAfterAll: <W extends Store>(runner: FeatureRunner<W>) => Promise<void>;
export declare type GQLQueryFactory = (store: Store, client: AppSyncClient, userId?: string) => (gqlQuery: string, variables?: {
    [key: string]: string;
}) => Promise<GQLQueryResult>;
export declare const appSyncStepRunners: ({ getQuery }?: {
    getQuery: GQLQueryFactory;
}) => ((step: import("../lib/runner").InterpolatedStep) => false | import("../lib/runner").StepRunnerFunc<Store>)[];
